## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class RequestDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.RequestDocType

    public class RequestDocType

extends java.lang.Object

The documentation type for requests.
Created on: Jun 16, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Constructor Summary
`RequestDocType()`

Method Summary
`RepresentationDocType` | `getRepresentationDoc()`
`void` | `setRepresentationDoc(RepresentationDocType representationDoc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestDocType

    public RequestDocType()

Method Detail

### getRepresentationDoc

    public RepresentationDocType getRepresentationDoc()

  Returns:
    the representationDoc

### setRepresentationDoc

    public void setRepresentationDoc(RepresentationDocType representationDoc)

  Parameters:
    `representationDoc` - the representationDoc to set

Copyright © 2017 Oracle Corporation. All Rights Reserved.